Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7171 - Does not report packet loss by kernel
Summary: Does not report packet loss by kernel
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-20 07:25 UTC by ongcs100
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-22 14:53:07 UTC


Attachments (Terms of Use)

Description ongcs100 1999-11-20 07:25:40 UTC
If the tecpdump is running bpf, it should be able to report packet loss by
the kernel.  In the tcpdump distributed with redhat ver 6.1, it only show
the packet pick up the filter.

Comment 1 Jeff Johnson 1999-12-22 14:53:59 UTC
I'm not sure what you are referring to. Can you provide more details? Thanks.

Comment 2 Pekka Savola 2000-07-12 19:32:11 UTC
He means this:
---
24673 packets received by filter
0 packets dropped by kernel
---

Unfortunately, IIRC linux pcap doesn't support that, so it isn't printed.  BPF
etc. do, but that is another story.

(it -DPACKET_STATISTICS in libpcap DEFS causes an error)



Note You need to log in before you can comment on or make changes to this bug.